原创

ValidationError: Invalid options object. Less Loader has been initialized using an options object


ValidationError: Invalid options object. Less Loader has been initialized using an options object。。。

此问题是在安装less中遇到的

webpack.confog.js

{
	test: /\.(css|less)$/,
	loader: ['style-loader', 'css-loader', 'less-loader'],
},

解决

分析得出结论是less-loader版本问题

卸载less-loader

执行

npm remove less-loader
# 或者
npm uninstall less-loader

安装低版本less-loader

npm install less-loader@5.0.0

重启项目即可

webpack
  • 作者:零三(联系作者)
  • 最后更新时间:2021-01-11 17:51
  • 版权声明:自由转载-非商用-非衍生-保持署名
  • 转载声明:来源地址 https://web03.cn